import type { IASMAAppsObject } from './interfaces';
import type { loadMicroApp } from './qiankun';
import type { QiankunWindow } from './vite-plugin-qiankun-react/vitePluginQiankunHelper';
export {};
declare global {
    interface Window {
        __POWERED_BY_QIANKUN__?: boolean;
        __INJECTED_PUBLIC_PATH_BY_QIANKUN__?: string | Record<string, string>;
        __QIANKUN_DEVELOPMENT__?: boolean;
        Zone?: CallableFunction;
        __GLOBAL_CONCURENT_QIANKUN__?: Record<string, QiankunWindow>;
        __ASMA__QIANKUN__SHELL__?: {
            appsObject?: IASMAAppsObject;
            loadMicroApp?: typeof loadMicroApp;
        };
    }
}
//# sourceMappingURL=global.d.ts.map